<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.w3.org/TR/REC-html40"
  xmlns:saxon="http://icl.com/saxon"
  saxon:trace="no"
  extension-element-prefixes="saxon">

<xsl:variable name="dir">html</xsl:variable>
<xsl:variable name="filesep" select="system-property('file.separator')"/>

<xsl:include href="div.xsl"/>
<xsl:include href="entry.xsl"/>
<xsl:include href="toc.xsl"/>

<!-- ..............root templates.................. -->
<xsl:template match="/">
  <xsl:apply-templates select="dictionary"/>
  <xsl:apply-templates select="dictionary/entry"/>
</xsl:template>

<xsl:template match="acro | term">
  <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="expl">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="ref">
  <a>
    <xsl:attribute name="href">
      <xsl:value-of select="@idref"/>
      <xsl:text>.html</xsl:text>
    </xsl:attribute>
    <span class="acro">
      <xsl:apply-templates/>
    </span>
  </a>
</xsl:template>

</xsl:stylesheet>