<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.w3.org/TR/REC-html40"
  xmlns:saxon="http://icl.com/saxon"
  saxon:trace="no"
  extension-element-prefixes="saxon">

<!-- ............list of entries.................. -->
<xsl:template match="dictionary">

<saxon:output method="html"
    file="{$dir}{$filesep}index.html"
    doctype-public="-//W3C//DTD HTML 4.0 Transitional"
    doctype-system="http://www.w3.org/TR/REC-html40"
    encoding="iso-8859-1"
    indent="yes">

  <html>
     <head>
       <meta name="author" content="Henning Behme" />
       <meta name="keywords" content="iX Web dictionary iX-Woerterbuch" />
       <title>iX Web dictionary</title>
       <link rel="stylesheet" href="dictionary.css" type="text/css"/>
     </head>

     <body>
       <table border="0" width="100%" cellspacing="0" cellpadding="5">
         <tr>
           <td rowspan="4" valign="top" width="30%">
             <img src="/ix/images/iX.mini.tr.gif" alt="iX logo"/>
           </td>
           <td>
             <h1>Web Dictionary</h1>
             <img src="/ix/images/dots/1tr.gif" alt="vertical space"
                  width="200" height="50"/>
           </td>
         </tr>

         <tr>
           <td>
             <h2>Inhalt / ToC</h2>
              <p>
                <xsl:text>(</xsl:text>
                <xsl:value-of select="count(//entry)"/>
                <xsl:text> Begriffe/terms)</xsl:text>
             </p>
                <img src="/ix/images/dots/1tr.gif" alt="vertical space"
                  width="200" height="20"/>
           </td>
         </tr>

         <tr>
           <td>
            <ul>
             <xsl:for-each select="entry">
               <xsl:sort select="acro"/>
               <xsl:apply-templates select="acro" mode="toc"/>
             </xsl:for-each>
            </ul>
           </td>
         </tr>

         <xsl:call-template name="do-foot"/> 
       </table>
     </body>
 </html>
 </saxon:output>
 <xsl:message> - index: done</xsl:message>
</xsl:template>

</xsl:stylesheet>